For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery Tags
      • POSTCreate Tag
      • PUTUpdate Tag
      • DELDelete Tag
LogoLogo
SupportContact salesStart free trial
API ReferenceTag

Query Tags

GET
https://api.projectmanager.com/api/data/tags
GET
/api/data/tags
$curl https://api.projectmanager.com/api/data/tags \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "name": "string",
17 "color": "string"
18 }
19 ]
20}
Retrieve a list of Tags that match an [OData formatted query](https://www.odata.org/). A Tag is a named categorization you can use to distinguish objects from each other. Tags each have a unique identifier, a name, and a color.
Was this page helpful?
Previous

Create Tag

Next
Built with

Retrieve a list of Tags that match an OData formatted query.

A Tag is a named categorization you can use to distinguish objects from each other. Tags each have a unique identifier, a name, and a color.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

$topintegerOptional
The number of records to return
$skipintegerOptional

Skips the given number of records and then returns $top records

$filterstringOptional
Filter the expression according to oData queries
$orderbystringOptional
Order collection by this field.
$expandstringOptional
Include related data in the response

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.